Skip to main content
DELETE
/
store
/
shipping-zone
/
{shippingZoneId}
/
shipping-rate
/
{shippingRateId}
Delete shipping rate
curl --request DELETE \
  --url https://services.leadconnectorhq.com/store/shipping-zone/{shippingZoneId}/shipping-rate/{shippingRateId} \
  --header 'Authorization: Bearer <token>'
{
  "status": true,
  "message": "Successfully created"
}

Authorizations

Authorization
string
header
required

Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.

Path Parameters

shippingZoneId
string
required

ID of the shipping zone

Example:

"6578278e879ad2646715ba9c"

shippingRateId
string
required

ID of the shipping rate that needs to be returned

Example:

"6578278e879ad2646715ba9c"

Query Parameters

altId
string
required

Location Id or Agency Id

Example:

"6578278e879ad2646715ba9c"

altType
enum<string>
required
Available options:
location

Response

Successful response

status
boolean
required

Status of api action

Example:

true

message
string

Success message

Example:

"Successfully created"

Last modified on March 4, 2026